      subroutine sub (mystruct)
        type dt
          sequence    ! SEQUENCE indicates not to insert internal
          integer p   ! padding for data alignment
        end type

        type (dt) mystruct
        pointer (p, i)

        p = mystruct%p  ! Assign the value of "mystruct%p"
                        ! (which is an address) to "p"

        print *, i      ! Any reference to "i" refers to the
                        ! contents of location "p"
      end subroutine
